{% extends 'partials/simplesearch_base.html.twig' %}

{% set search_count = search_results ? search_results.count : 0 %}

{% block content %}
    {{ parent() }}

    <div class="grid-x grid-margin-x grid-padding-y">
        <div class="cell text-center">
            <h1>{{ "PLUGIN_SIMPLESEARCH.SEARCH_RESULTS"|t }}</h1>
            {% if query -%}
                <p class="subheader">
                    {%- if search_count is same as( 1 ) -%}
                        {{- "PLUGIN_SIMPLESEARCH.SEARCH_RESULTS_SUMMARY_SINGULAR"|t(query|e)|raw -}}
                    {%- else -%}
                        {{- "PLUGIN_SIMPLESEARCH.SEARCH_RESULTS_SUMMARY_PLURAL"|t(query|e, search_count)|raw -}}
                    {%- endif -%}
                </p>
            {%- endif %}
        </div>
    </div>

    {% if search_count is not same as( 0 ) -%}
        <hr/>
        <div class="grid-x grid-margin-x grid-padding-y small-up-1 medium-up-2 large-up-4" data-equalizer data-equalize-by-row="true">
            {% for page in search_results %}
                {% if (child.header.unpublished is not defined) or (child.header.unpublished is same as(false)) -%}
                    {% include 'partials/item_card.html.twig' with {'page': page} %}
                {%- endif %}
            {% endfor %}
        </div>
    {%- endif %}

{% endblock %}
